Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.server
Class JNDIAxisServerFactory

    java.lang.Object
      org.apache.axis.server.DefaultAxisServerFactory
          org.apache.axis.server.JNDIAxisServerFactory

All Implemented Interfaces:
  AxisServerFactory

public class JNDIAxisServerFactory
extends DefaultAxisServerFactory

Helper class for obtaining AxisServers, which hides the complexity of JNDI accesses, etc.

!!! QUESTION : Does this class need to play any ClassLoader tricks?

Author:
  Glen Daniels (gdaniels@macromedia.com)

Constructor Summary
`JNDIAxisServerFactory()`

Method Summary
`AxisServer` | `getServer(Map environment)` Obtain an AxisServer reference, using JNDI if possible, otherwise creating one using the standard Axis configuration pattern.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JNDIAxisServerFactory

    public JNDIAxisServerFactory()

Method Detail

### getServer

    public AxisServer getServer(Map environment)
                         throws AxisFault

  Obtain an AxisServer reference, using JNDI if possible, otherwise creating one using the standard Axis configuration pattern. If we end up creating one and do have JNDI access, bind it to the passed name so we find it next time.

  NOTE : REQUIRES SERVLET 2.3 FOR THE GetServletContextName() CALL!

  Specified by:
    `getServer` in interface `AxisServerFactory`
  Overrides:
    `getServer` in class `DefaultAxisServerFactory`
  Parameters:
    `environment` - The following is used, in addition to the keys used by the parent class: AxisEngine.ENV_SERVLET_CONTEXT [required, else default/parent behavior] - Instance of ServletContext
  Throws:
    `AxisFault`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.